Package org.flowable.bpmn.model

# Class Message

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Message

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Message extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `itemRef`
  `protected String`
  `name`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`
  `Message(String id, String name, String itemRef)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Message`
  `clone()`
  `String`
  `getItemRef()`
  `String`
  `getName()`
  `void`
  `setItemRef(String itemRef)`
  `void`
  `setName(String name)`
  `void`
  `setValues(Message otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### itemRef

    protected String itemRef

- ## Constructor Details

  - ### Message

    public Message()

  - ### Message

    public Message(String id, String name, String itemRef)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getItemRef

    public String getItemRef()

  - ### setItemRef

    public void setItemRef(String itemRef)

  - ### clone

    public Message clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Message otherElement)